PKGTOOL(8)

NAME
pkgtool - software package maintenance tool.

SYNOPSIS
pkgtool

pkgtool [ --sets #a#b#c# ] [ --source_mounted ] [ --ignore_tagfiles ] [ --tagfile tagfile ] [ --source_dir directory ] [ --target_dir directory ] [ --source_device device ]

DESCRIPTION
pkgtool is a menu-driven package maintenance tool provided with the Slackware Linux distribution. It allows the user to install, remove, or view software packages through an interactive system. Pkgtool can also be used to re-run the menu-driven scripts normally executed at the end of a Slackware installation. This is useful for doing basic reconfiguration (like changing the mouse type).

OPTIONS
Most users will not want to use any options when running pkgtool. These are generally used only when pkgtool is run during the initial system installation. Feel free to try them, but be careful.

--sets #A#B#C#
    Install the disk sets A, B, C. Seperate the disk set names by '#' symbols.

--source_mounted
    When this flag is present, pkgtool will not attempt to unmount and remount the source device with each disk.

--ignore_tagfiles
    When this flag is present, pkgtool will install every package encountered no matter what the tagfiles say.

--tagfile tagfile
    This flag is used to specify from the command line which tagfile should be used for the installation.

--source_dir directory
    Used when installing multiple packages from disk sets. This is the directory in which the subdirectories for each disk are found. This isn't used when installing from floppy.

--target_dir directory
    The directory where the target root directory is located. This is '/' when installing on the hard drive, or typically '/mnt' when installing from an install disk.

--source_device device
    The source device to install from. This is not used if you've provided the --source_mounted flag. It's usually used when installing from floppy, as in:
     --source_device /dev/fd0u1440 or
     --source_device /dev/fd1h1200.

AUTHOR
Patrick J. Volkerding <volkerdi@slackware.com>

SEE ALSO
makepkg(8), explodepkg(8), installpkg(8), removepkg(8), upgradepkg(8)